commit 91dc3e4dfa1a9558c5a7fe0ea982cb9df0e2de65
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Fri Apr 9 00:11:47 2021 +0200

    tag as 1.2.3

commit 843c3968c738753d41df5c3a02a57449afc7370b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Mar 8 13:57:04 2019 +0000

    Merge pull request #1021 from ailin-nemui/fix-1019
    
    fix the compilation of utf8proc code if desired
    
    (cherry picked from commit 26d96a7bb2e89a84b6d866eaeb312dcd8dbdaede)

commit b114201b7b76aa534b29e30ffd091431f5abc34c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jul 27 21:49:55 2019 +0200

    Merge pull request #1076 from l2dy/gfree
    
    Free g_strdup() allocated memory with g_free()
    
    (cherry picked from commit 7e767e144409f8f86172740c8d0e2a66a6a4a286)

commit e8457188ced5c9db765eb10d4cf074d64c77d543
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Sep 16 11:42:48 2019 +0200

    Merge pull request #1120 from ailin-nemui/invalid-cap-free
    
    free params
    
    (cherry picked from commit 8a1a96c12c3f99275522640600bd53dcf66c8f68)

commit 18e97d9e8bcebb171668180985a4b46e0e919aba
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 1 13:55:46 2019 +0200

    Merge pull request #1130 from ailin-nemui/string-free
    
    Only call g_string_free if there is a string
    
    (cherry picked from commit 49c6c2b69f5c7bc579153456d1eecdf03eef715e)

commit aae1e3392a345d073c3ede021f9b8b5166d11bbc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 14 20:17:50 2020 +0100

    Merge pull request #1154 from ailin-nemui/zerowidth
    
    refine zero width input test in empty line
    
    (cherry picked from commit b38ae68fb544612c8899d1e1196b434f7e7ba70b)

commit d3bb5d701571074e63596a2d61de841ccaf53d79
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 17 01:54:34 2020 +0100

    Merge pull request #1156 from vague666/add_server_nopass
    
    Improve help for how to remove saved server password
    
    (cherry picked from commit f0c1bc4dde6b89f4c89a843c2a0e08b871023891)

commit e814df5422c108973a3dbb7f483216c40581ad1c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Apr 3 23:26:54 2020 +0200

    Merge pull request #1167 from ailin-nemui/quit-crash
    
    fix crash on /quit when unloading modules
    
    (cherry picked from commit 8b7bf1f04eefea51fdeb9d151ef0be2c5956c0ea)

commit 33c741639023a383314a0a8e6b67a86ef1c8797c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu May 21 16:00:30 2020 +0200

    Merge pull request #1197 from lotheac/master
    
    use visible channel name in layout save
    
    (cherry picked from commit 99b941db8e7af78c40901fd554e78682f7edc099)

commit fc93d11bf6731bf78f2c884ba0e83d8e79d6b5e8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jul 26 10:43:51 2020 +0200

    Merge pull request #1211 from ailin-nemui/disco_lastmsg
    
    fix crash when server got disconnected/reconnected before it was properly connected
    
    (cherry picked from commit cd10745711e4fa3bff965a6eecadfe1526850c6e)

commit c165f38ca58d26954b4d77aa85f0f12e25111035
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 6 19:23:07 2021 +0100

    Merge pull request #1249 from ailin-nemui/dup-caps
    
    fix multiple identical active caps
    
    (cherry picked from commit 0ae27530d6d2ff3e575fbb07f34b64d7141a8f05)

commit 6d352cfd795c85615fe3f243ec9cd728d37feedc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jan 9 10:38:36 2021 +0100

    Merge pull request #1255 from irssi/vague666-patch-1
    
    Update ignore.in examples
    
    (cherry picked from commit cd8a0cb701efa7ccb273b8efa3df37d74e4a00ea)

commit 4f8838651150ab8175803b2c338dfa93959320e1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 10 10:59:39 2021 +0100

    Merge pull request #1269 from ihsinme/patch-1
    
    fix invalid unsigned arithmetic.
    
    (cherry picked from commit 0dd60755f0428cbc8042a421dfdd4c6ea5c392cf)

commit 80a338fe10b144edbe63ff17c28f24154ce368f0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 8 17:17:07 2021 +0100

    Merge pull request #1270 from ihsinme/ihsinme-patch-238
    
    correction of incorrect sequence of checks.
    
    (cherry picked from commit 33b4154b0cb476725c84955c340b0f61af513386)

commit 93c57050788fe311d37cba36a37e5a08a52bda0b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 24 21:50:18 2021 +0100

    Merge pull request #1271 from irssi/vague666-fix-159
    
    Update dcc-get.c
    
    (cherry picked from commit 672f12754434ea7195e257c5848a716fee717c75)

commit b00b17a4851234f5a2b769ece02ab5d13f3eacb2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 1 21:28:16 2021 +0200

    Merge pull request #1291 from ailin-nemui/nobool
    
    remove unused bool include
    
    (cherry picked from commit cdb30695f997754c48a97d8c5196aa7d959a46dd)

commit ef4bad3600e821232bb9781fd0579f4ec648f5a7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 1 22:13:01 2021 +0200

    Merge pull request #1292 from ailin-nemui/nonick
    
    don't bother if we don't have a nick
    
    (cherry picked from commit e0b98e1fa57a2f9faf6616af404f630e8c7527e6)

commit d05e65b2f9bb039f2799087d12478cbc0852accc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Apr 2 14:44:32 2021 +0200

    Merge pull request #1293 from ihsinme/patch-1
    
    fix memory leak.
    
    (cherry picked from commit 628ca79e6afc7008fd615598cc6797537f2bf065)

commit aa7dfea534f9bdb1ff476016c4a9f4fdd55bcafe
Merge: 11905bad dee05547
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 8 17:27:46 2021 +0200

    Merge pull request #1299 from ailin-nemui/null-text-save
    
    fail on empty text

commit 11905badcbd01e18541c20e139956fdfc075f46d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 1 21:28:04 2021 +0200

    Merge pull request #1290 from mistydemeo/check_for_term_h
    
    Add a check for term.h
    
    (cherry picked from commit a7315250128ad93ac03ceed4b8ee91833f3f3d3e)

commit ef124d7378a78e7124641fb1776dcd82e513a95b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 3 17:46:11 2021 +0100

    Merge pull request #1268 from ailin-nemui/nostdinc
    
    configure automake with nostdinc
    
    (cherry picked from commit 95f131da2d741f4ad13c2c045253dc2b80b03f40)

commit c72ff03d9ca7ba5ca83e01bebff7fe770ab46411
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 8 15:46:18 2021 +0200

    Merge pull request #1298 from ailin-nemui/connect-crashes
    
    fix crash on /connect -tls
    
    (cherry picked from commit 9b02424f3030362572dfa6acfd8b1ef1ea54cc8a)

commit 6ad105487effa82d47c2a1aabfae9e17083d1c90
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 11 14:15:41 2020 +0200

    Merge pull request #1221 from nachanon/bug1220
    
    Decolor the vertical window split bar in stock `colorless` theme
    
    (cherry picked from commit 561619f23ca2db21616d13f2291f3d46d649987c)

commit ec0b17305a9c73cf926b9e8f14c33ba99b44b095
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jul 30 19:09:28 2020 +0200

    Merge pull request #1214 from irssi/vague666-update-help-1
    
    Update ignore help
    
    (cherry picked from commit 300cd14a705872df3245cb5235c3d7a84e178b7d)

commit b47bc61866a25191cffdcf30a1e227e196524e9c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jul 30 09:04:03 2020 +0200

    Merge pull request #1213 from irssi/vague666-update-help
    
    Update help with HIDDEN level
    
    (cherry picked from commit dfba73225d1c29c6f6d3c438dfe996d67302d7fe)

commit 41c3ec7445fd27c9dc2619ada89447f8fc6222e0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jul 8 17:43:11 2020 +0200

    Merge pull request #1183 from ailin-nemui/glib-2-63
    
    manually handle NUL unicode in g_utf8_get_next_char_validated
    
    (cherry picked from commit 76802985a4d99105374a64cea5f973298ed89ca5)

commit 07472fc569c3dcbcf0e485a072ed65159a094c2d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 15 12:56:36 2019 +0200

    Merge pull request #1136 from ailin-nemui/lines
    
    Make sure the bottom_startline is not lost when removing lines
    
    (cherry picked from commit bf3565a720c0dd2519eb5549508b463b927d7d6f)

commit da12a0361bdfad89cfcef9745364bc4b9fef1058
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 15 11:02:22 2019 +0200

    Merge pull request #1134 from horgh/horgh/tls-reconnect
    
    Use correct TLS settings when reconnecting
    
    (cherry picked from commit 156d02c5cff459bf2210992bee73127ff84292e1)

commit 4b5e0de15b50fb1198aaee830d64528042392d08
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jun 27 07:46:41 2019 +0200

    Merge pull request #1059 from ailin-nemui/mirc-24
    
    Use the 24bit mIRC colour mappings if colors_ansi_24bit is enabled
    
    (cherry picked from commit d34bd858d068ae5da99fc7caa03b64350646ae87)

commit dee0554731a59ae67fa93102276159cad26b1f59
Author: Ailin Nemui <ailin@d5401s.localdomain>
Date:   Wed Apr 7 11:46:24 2021 +0200

    fail on empty text
    
    reported by @dwfreed

commit 42110b92e92cb40e82fd736d88b099d096483939
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 29 02:25:21 2019 +0200

    tag as 1.2.2

commit 15867d62e7ce691cb0ba9bee6f0b21c84c309311
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 27 15:12:04 2019 +0200

    Merge pull request #1114 from ailin-nemui/startup-crash
    
    fix crash on startup when resizing before active_win
    
    (cherry picked from commit 570d6714ec3f9a55940eaf953dc7914c2534c3e2)

commit 5b923493de17c45af36a0305b4c80b8f6ec0d03e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 27 23:33:51 2019 +0200

    fix use after free receiving caps
    
    fixes GL#34
    
    (cherry picked from commit 5a4e7ab659aba2855895c9f43e9a7a131f4e89b3)

commit 248a1591a26e0bf3fda3545fe54ebd0c27f4419d
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Fri Jun 28 13:52:47 2019 +0200

    tag as 1.2.1

commit 27c02a2d961e83e5c509bbcaca3e01825bfbc9df
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 28 11:28:30 2019 +0200

    Merge pull request #1058 from ailin-nemui/sasl-reconnect
    
    copy sasl username and password values
    
    (cherry picked from commit d23b0d22cc611e43c88d99192a59f413f951a955)

commit bb7e81438dd0a0822bb7d140881e858365d392cd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 18 09:36:34 2019 +0100

    Merge pull request #1013 from ailin-nemui/fix-1012
    
    do not stop autolog_ignore_targets from matching itemless targets
    
    (cherry picked from commit df532d4461fa0e1aba8672fa6d56e3056ce52272)

commit fddcbe56c9c0f97ecea73ab9e39787f02ba72a68
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 28 11:29:19 2019 +0200

    Merge pull request #1057 from ailin-nemui/entry-8bit
    
    restore 8bit support in input entry
    
    (cherry picked from commit 8551dd99cc6ad29b1b356acc4f4c92209ed98eed)

commit 309ea8825281b1eb30f78c009df4f11611223513
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon May 13 15:26:21 2019 +0200

    Merge pull request #1043 from ailin-nemui/solaris10
    
    fix realpath on old solaris
    
    (cherry picked from commit 7654f30d04f2b4fae7b49f8b1579bdf77dfca900)

commit 24547829e7c7c9b6cf41d38c672a64cf1b9fd1a2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 27 13:00:22 2019 +0100

    Merge pull request #1019 from ailin-nemui/configure-utf8proc
    
    make utf8proc configurable
    
    (cherry picked from commit 6242d25055520a0abcdd95cbf969479c99d36700)

commit bb600a65753aa34e7c41b59c3d5dcfdcd48bda4f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 19 07:22:06 2019 +0100

    Merge pull request #1014 from ailin-nemui/fix-be64
    
    fix test on Big Endian 64bit, due to pointer size mismatch
    
    (cherry picked from commit 01ce66c684b66860b9c0dae04912d7cf3ebb9aeb)

commit bd2ff8c99c41f35430a945e888db828a9925dce7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 18:05:57 2019 +0100

    tag as 1.2.0

commit 22fdb94d1b961545e8e35930512b63cf1ff83e2d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 18:04:59 2019 +0100

    run syncscripts.sh

commit 48a6d04aded516a8eead31b1e78544efb3b7e367
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 18:04:46 2019 +0100

    run syncdocs.sh

commit 6239a8b791ca452a364fb9ec6c475e8c3c1f2a14
Merge: ea41726b 8543b874
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 17:33:30 2019 +0100

    Merge pull request #1000 from ailin-nemui/window-bounds-type
    
    Store window bounds type

commit 8543b874a25d0caa2c62db155346a24cdf3c2afa
Author: Ailin Nemui <ailin@devio.us>
Date:   Wed Jan 30 11:17:36 2019 +0100

    store type of window binds

commit ea41726b3e1df0e64eb9621f38494716b94d209f
Merge: a25b4e5d 346211ee
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 09:49:04 2019 +0100

    Merge pull request #1011 from ahf/otr-compiler-warning-fix
    
    Use memcpy() instead of strncpy() to silence the compiler warning.

commit 346211eeeb34e73a931b822f1496f696ed3970f5
Author: Alexander Færøy <ahf@irssi.org>
Date:   Sat Feb 9 22:42:13 2019 +0100

    Use memcpy() instead of strncpy() to silence the compiler warning.

commit a25b4e5db25f57706073d77fd5ef741b46ab3f61
Merge: b4ad4309 9f9aada8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 8 14:37:31 2019 +0100

    Merge pull request #999 from ailin-nemui/mad-protocol
    
    do not touch uninitialised protocols on item restore

commit b4ad430939fe127f859d75a8cb24e524c119f7d2
Merge: ee86cc19 034752ad
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 5 01:08:19 2019 +0100

    Merge pull request #1004 from ailin-nemui/fix-get_extent
    
    fix gui_input_get_extent

commit 034752ade3b9d951c716d50d3f4d1e40fe9e110c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 4 14:33:41 2019 +0100

    fix gui_input_get_extent
    
    it was causing a free of data with [transfer=none]

commit ee86cc197ebc7ceb7d59da94d3c7c84035787c42
Merge: ff18e796 5b530737
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 2 18:21:08 2019 +0100

    Merge pull request #1003 from ailin-nemui/fix-1002
    
    correct fix for #997

commit 5b530737d480eaac5943bcf270aa82b592e7ed3b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 2 14:51:09 2019 +0100

    correct fix for #997

commit ff18e79661ecd6c08530f8179faf9b8a7fa71774
Merge: 0cdbb2e8 f9beedd2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 2 14:34:59 2019 +0100

    Merge pull request #994 from ailin-nemui/fix-993
    
    add more config checks and assertions in statusbar code

commit 0cdbb2e8216a30e019a0dd310038a9c9be9e2c3e
Merge: aa80f1de b1d6cb7f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 1 14:29:21 2019 +0100

    Merge pull request #1001 from ailin-nemui/fix-997
    
    add missing NULL check

commit b1d6cb7f26c521d3d5f9e7da214bc91b89453a93
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 1 13:18:50 2019 +0100

    add missing NULL check

commit 9f9aada83bc3baabdfe70befb78eaf02544a0c7b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 29 21:33:39 2019 +0100

    do not touch uninitialised protocols on item restore

commit aa80f1de6164c2b31c2dfa4568bd851b894eaeca
Merge: 9ec2c8ce 3af2ce87
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 29 00:30:43 2019 +0100

    Merge pull request #990 from ailin-nemui/mainwin_activity
    
    add activity_hide_visible setting

commit f9beedd2d03b7a622e9686c71910e380fab88511
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 22 15:24:52 2019 +0100

    add more config checks and assertions

commit 9ec2c8cee4222c73229cffdf3c342e1f03be251f
Merge: fa9463cb b8cfd9d6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 16 09:47:49 2019 +0100

    Merge pull request #988 from ailin-nemui/version
    
    show output of git describe as PACKAGE_VERSION

commit 3af2ce8731b721616c5c112434a810bca32a62e1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 15 21:00:43 2019 +0100

    add activity_hide_visible setting

commit fa9463cb026a9ded270d30a3c437ab8217ab751e
Merge: dfe3c312 b080405c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 14 10:17:52 2019 +0100

    Merge pull request #989 from ailin-nemui/split-syntax
    
    update sidewayssplit syntax

commit b080405c6ae2e469c8718f77cf6c3e7fd17a6ac5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 23:46:57 2019 +0100

    update sidewayssplit syntax

commit b8cfd9d6affc0f72a82e75a8be5207bb357c76bc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 21:11:01 2019 +0100

    show output of git describe as PACKAGE_VERSION
    
    also fixes GNUism in sed call

commit dfe3c31283df810b4bcdbe2d746a0b3da516689f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 15:33:22 2019 +0100

    update issue references

commit 3d1980599a9115c095713f1a82edf67afda64e4f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 15:20:45 2019 +0100

    Merge tag '1.1.2' into integrate/1.1.2

commit d57203e926768f592e676d4926f6c5833d4220d0
Merge: c7ce0f32 8c303674
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 09:29:29 2019 +0100

    Merge pull request #978 from ailin-nemui/fix-974
    
    Fix inconsistent escaping from expand_escapes

commit 8c30367452dd592027917ce92bcebe9301d2c87a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 8 15:48:12 2019 +0100

    rename function

commit c7ce0f320b86147e2189066c002d8fc1f9a55426
Merge: c044fe39 821e8af9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 18 20:53:08 2018 +0100

    Merge pull request #985 from ailin-nemui/automake
    
    automake warns that subdir-objects will be enabled in 2.0

commit c044fe397e1c235d91361bc60a74e6d2839f0237
Merge: 40f5edf1 4f26ad74
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 18 16:57:36 2018 +0100

    Merge pull request #982 from yarda/coverity
    
    Fixed problem found by Coverity Scan

commit 35f5e5f278444ecbbd3610292d9569d3a2f51ce1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 25 13:57:17 2018 +0100

    up abi

commit 7e6e3cd503b3619a22709db66234cd4aeefa866f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 25 13:41:46 2018 +0100

    Add escape_string_escape function for expand_escapes
    
    To avoid expanding, tab completion escapes the completion list. But the
    escape_string function escapes too much for the expand_escapes code. Add
    a function that only escapes the backslashes.

commit 821e8af9fecdda2f25f18d5cc0be965b06e05362
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Dec 7 09:52:23 2018 +0100

    automake warns that subdir-objects will be enabled in 2.0

commit 4f26ad74f50b6d68bee0b75d69507cb8a9c413aa
Author: Jaroslav Škarvada <jskarvad@redhat.com>
Date:   Tue Dec 4 16:03:04 2018 +0100

    Fixed problem found by Coverity Scan
    
    Fixes #981
    
    Signed-off-by: Jaroslav Škarvada <jskarvad@redhat.com>

commit 40f5edf1059fab4c2f4b23356994c2e1c37a083c
Merge: 1c6f2560 10f41e06
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 4 17:01:33 2018 +0100

    Merge pull request #979 from ailin-nemui/completion-keep-word
    
    add keep_word setting to completion

commit 1c6f2560989f49197cbc5c3cd41bd46ade11cc20
Merge: dcb412eb 288f220f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Nov 29 10:18:16 2018 +0100

    Merge pull request #973 from ailin-nemui/perl-wcwidth
    
    expose wcwidth and related to perl

commit dcb412eb8b0add3cfb6e3bc015886f795abb92ef
Merge: 257cb2f5 482a3a5b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 26 18:52:02 2018 +0100

    Merge pull request #975 from NattyNarwhal/ibmi
    
    Fix irssi build on IBM i and AIX

commit 482a3a5bdd7bf3755c67d678b7e74f72cfbaaecb
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Mon Nov 26 09:56:04 2018 -0400

    Remove unneeded comment

commit bed0a3309f4f452f5ebf6d5d5becf869da190d7a
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Sun Nov 25 15:00:34 2018 +0000

    Revert back to using original version of the configure script
    
            * IBM i rpmbuild environments set the magic variables for
              building w/ 64-bit binutils automatically, and one can
              set this for themselves with `OBJECT_MODE=64` when
              buildings. Remove this.
    
            * The subdir-objects change will need to be made due to
              upstream autotools making it mandatory in the future, but
              that isn't my decision to make.

commit a634b34ba48d7e050bb125d86205e58a5dc00c3d
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Sun Nov 25 14:50:47 2018 +0000

    Rename cap_* funcs to irc_cap_*
    
    Some systems often "namespace" cap_ for themselves, and so irssi's
    usage can conflict with their own. Bump ABI for this.

commit 10f41e067eef33e30a211279d69160b5c7721f96
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 25 14:19:57 2018 +0100

    fix backward completion

commit 88b16491956f0a882cc61fffa6a76d469006a87d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 25 14:16:08 2018 +0100

    add keep_word setting to completion

commit 257cb2f5f91cbc08b20199f92a5d1923bc5ca4f2
Merge: 6c40567d c1fb9a84
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 19 16:07:00 2018 +0100

    Merge pull request #971 from ailin-nemui/paste-join-lines
    
    fix paste_join_multiline

commit 795e7ec16240613dd13e8378128bb5fa66b6dc93
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Mon Nov 19 14:18:34 2018 +0000

    Fix build on IBM i
    
            * Lots of warnings about subdirectories. Set an automake
              option to deal with this.
    
            * Set an ar flag for explicit 64-bit when on IBM i, due to
              it defaulting to 64-bit output with official gcc by default.

commit 4380f3820e5504b039d4a1ed0853c4442fa251b1
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Mon Nov 19 13:58:51 2018 +0000

    Fix compilation of irc/core on AIX and IBM i
    
    There's a function in the standard library of these OSes that conflict
    with this function. Prefix it with `irc_`.

commit 288f220f875d4e4f00e86dd809c04aa805b49991
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 13 00:14:15 2018 +0100

    fix width of byte codepoints

commit deaa1da55e3250badbdb3a769989cf5525b301e2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 12 14:11:27 2018 +0100

    cast to unsigned char

commit 9e5e5d8625714c58546fad00b9d95bce7f3a1afb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 12 13:14:02 2018 +0100

    expose wcwidth and related to perl

commit 6c40567dab5298d2452ecb5438ffe11997055dfd
Merge: 60d23649 4537d85b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 12 13:02:41 2018 +0100

    Merge pull request #957 from ailin-nemui/rawlog
    
    Improve rawlog performance

commit 4537d85b0b1e3bbd5240e379d015752423381e9a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 11:32:00 2018 +0100

    reverse queue

commit 60d2364989b50ed8b76076022dde39690dc95416
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 11:11:10 2018 +0100

    run syncscripts.sh
    
    sync buf.pl to version 3.00
    sync usercount.pl to version 1.20

commit c1fb9a840201131982f2c2e1ff8737436f495841
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 11:06:13 2018 +0100

    fix paste_join_multiline

commit 83e98da2ffa295723b10f63ec41211f70ea87153
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 11:05:52 2018 +0100

    add test for paste_join_multiline

commit 9d2429c027770a711aa6ea6be86545e7966ec1ba
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 10:57:37 2018 +0100

    test line joining

commit 2847b751e359bde8eb5dc3d89f57575c3b5f0948
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 29 17:51:48 2018 +0100

    design.txt is now sourced from website
    
    also run syncdocs, fixes missing placeholder in startup-HOWTO

commit 8054b5c2bd41497485a9abe1b198b7366f413078
Merge: 275e0e84 ec577f92
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 29 10:35:08 2018 +0100

    Merge pull request #967 from vague666/hide_targets_no_item
    
    allow activity_hide_targets to hide activity in itemless windows

commit 275e0e84ad8d085bb3515934c96b4b5b87e3c257
Merge: 524f31b0 3061f5d8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 29 10:33:50 2018 +0100

    Merge pull request #968 from vague666/only_log_saved_channels
    
    Only log saved channels

commit ec577f9265fff6b36b0e25c3e1a04ef8f0aee9d6
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Oct 27 20:52:14 2018 +0200

    typo

commit f7966d9c081641ff5b1adca2bd8c217a331bcaa6
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Oct 27 20:51:29 2018 +0200

    allow activity_hide_targets to hide activity in itemless windows

commit 3061f5d848f6f487e8c73a5d5846b7a860ca5466
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Oct 27 20:00:15 2018 +0200

    make sure only channels are checked

commit 2093530e7590f91608d43f4617d8faf76ebf56ee
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Oct 27 16:08:36 2018 +0200

    Make it possible to only autolog saved channels

commit 524f31b026051a9692b8978d5013f9e43efcfa82
Merge: bc1d82a7 f11b629b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 19 02:08:08 2018 +0200

    Merge pull request #965 from ailin-nemui/fix-signal-emit
    
    Fix wrong signal emission arg count

commit f11b629b2fa65ce355ce122c7c1482e8cba229db
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sun Sep 30 05:54:22 2018 +0000

    Fix issues pointed out by e38774cc

commit bc1d82a757ffbc56c7faabfe5aa60140ccc4d4fc
Merge: 6ca13dd5 cbc27062
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 18 15:15:50 2018 +0200

    Merge pull request #964 from ailin-nemui/fixes
    
    fix duplicate include guard and link libs of test

commit 6ca13dd5cda0b6dbbdfb4c0e63ec161c2609bd40
Merge: 8bbf9c69 8b1afbd3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 17 12:31:52 2018 +0200

    Merge pull request #905 from horgh/horgh/topic-regression
    
    Add tests for topic events

commit cbc27062e7f7d501623ee52614bc8012f1d5a97a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 17 00:58:49 2018 +0200

    fix duplicate include guard

commit da15279fa3ce8a965f6d77e4483811ce94a8f9ea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 17 00:58:39 2018 +0200

    fix flood test libs

commit 8bbf9c696c2d2a896e2dd45c0b12ec7758f23e28
Merge: 4eff3f15 81f3d6db
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 9 17:16:21 2018 +0200

    Merge pull request #962 from horgh/horgh/comments-and-indentation
    
    Fix some indentation and add some comments

commit 81f3d6dbc1133bc72ec1f3211e7eef7027bae157
Author: Will Storey <will@summercat.com>
Date:   Mon Oct 8 20:23:36 2018 -0700

    Comment colour code meaning

commit 08b4d6c031fbc816f35e2cd1d57adfbb6ba4e3db
Author: Will Storey <will@summercat.com>
Date:   Mon Oct 8 20:23:22 2018 -0700

    Fix some space indentation

commit 4eff3f154d8f8511e38113ae485c584a8f61d1b5
Merge: a30fbd6c cdcb50f4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 8 18:18:54 2018 +0200

    Merge pull request #959 from ailin-nemui/notice-routing
    
    Route notices intended for channels into the channel

commit cdcb50f413537177ff50478b766b570fb7bae057
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 8 17:41:46 2018 +0200

    add a setting

commit a30fbd6cfb647a06a7f0341703ad7b00dcd05dbc
Merge: 3257ce3b 80f9f169
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 7 10:23:19 2018 +0200

    Merge pull request #961 from ailin-nemui/no-topic-glitch
    
    Show the proper TXT when topic was unset

commit 3257ce3b13fe8607876b9ef650ef0f761170b69f
Merge: 49d83b59 2200bd36
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 7 10:21:29 2018 +0200

    Merge pull request #958 from ailin-nemui/window-number-cmd
    
    Make /1/2/3/... a setting

commit 49d83b5945f0628a17561371161067d94a8b69b9
Merge: cee9d09d ff7f4a22
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 7 10:19:02 2018 +0200

    Merge pull request #956 from irssi/ailin-nemui/kill-cubes
    
    Remove cubes from irssi.conf

commit 80f9f16939b65536c5fc3ae1fedb885b84c82855
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Oct 6 20:14:49 2018 +0200

    Show the proper TXT when topic was unset

commit 8b1afbd3557e605f35cf4dab16d49cb4c89ca496
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Oct 6 19:26:36 2018 +0200

    revert core changes

commit 08ac2ee5beebdfd374caccf76a7e63da67b40798
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 16:13:47 2018 +0200

    refactor cnotice test into function

commit d2dbcc19993a8cf33258d0989b05305be34336a4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 15:37:27 2018 +0200

    Route notices intended for channels into the channel

commit 2200bd3656f0790554bf3c949cce5224ec588a44
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 13:46:39 2018 +0200

    Make /1/2/3/... a setting

commit cee9d09debc176ac6a4f3c310b04001644588f40
Merge: d815c880 ca1ec21d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 10:49:50 2018 +0200

    Merge pull request #955 from ailin-nemui/split-width-bug
    
    fix and document window width on screen width dependency

commit d815c88050562ba15dcbccccb4cd2e0460e681a4
Merge: b96a41cf c4bf228e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 10:48:25 2018 +0200

    Merge pull request #953 from dwfreed/fix-printtext.h
    
    Use ##__VA_ARGS__ extension to allow for argument-less ...

commit b96a41cf3daff342ae04fa59d8f2c903dffe0f2b
